%if 0%{?el7}
%define dist .el7
%endif

Name:		icmpscan
Version:	1.1
Release:	5%{?dist}
Summary:	ICMP Scanner

Group:		Applications/System
License:	GPLv2
URL:		http://bindshell.net/tools/icmpscan.html
Source0:	http://bindshell.net/tools/icmpscan/%{name}.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libdnet-devel, libpcap-devel
#Requires:	

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
ICMPScan Does what is says on the tin: Scans the specified address, or addresses, for ICMP responses.

%prep
%setup -q -n %{name}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
			exec_prefix=$RPM_BUILD_ROOT%{_bindir} \
			bindir=$RPM_BUILD_ROOT%{_bindir} \
			mandir=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/*
%{_mandir}/man8/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.1-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.1-4
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.1-2
- Rebuilt for fc22

* Tue Sep  6 2011 momo-i <webmaster@momo-i.org> 1.1-1
- Initial rpm release.
